Subject: RE: [Diffserv] CountActTable

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 06 Apr 2001 14:00:00 -0400

No, I just think that there should be a PRC for creating a Count Action 
just as there is one for creating a Drop Action or a Meter Action.
Yours,
Joel

At 05:02 PM 4/6/01 +0000, Iliff, Tina wrote:

>So, in other words, you are implying that a boolean value should be added 
>to each PIB PRC to specify whether or not to count?  I see the use; 
>however, I do not think it is applicable to the Diffserv PIB since a 
>counter is not a specific piece of QoS information.  I would recommend 
>adding it to the Framework PIB (for example, add a boolean value to the 
>frwkPrcSupport PRC) if it is added to a PIB at all.
>
>Tina Iliff
>-----Original Message-----  From:   Joel M. Halpern 
>[<mailto:[email-masked]>mailto:[email-masked]]  Sent:   Friday, April 
>06, 2001 10:00 AM  To:     [email-masked]  Subject:        RE: 
>[Diffserv] CountActTable
>
>There are no defined implicit count actions.  The point of including 
>the  actions explicitily in the MIB / Model (and presumably PIB) is that 
>depending upon the particular usage intended by the administrator, one may 
>want to count at different points.  The Count Actions define where 
>counting is done.
>
>Yours,  Joel M. Halpern
>
>At 01:45 PM 4/6/01 +0000, Iliff, Tina wrote:
>
> >However, it seems logical that the count action would be implicit 
> and  >therefore, does not need configuration parameters within a 
> policy >set.  For example, if the Accounting Timer is set, then the PEP 
> should >"turn on" its counters; otherwise, the counters are 
> "disabled".  >  >Tina Iliff  >-----Original Message-----  From:   Joel M. 
> Halpern 
 >  >[<<mailto:[email-masked]>mailto:[email-masked]>mailto:joel@longsys. 
> com]  Sent:   Wednesday, >April 04, 2001 12:14 
> PM  To:     [email-masked]  Subject:        RE: >[Diffserv] 
> CountActTable  >  >The Count Action is a diffserv packet handling 
> action.  Including it in  >a  configuration causes counting to be 
> done.  It sure seems that this >action ought to be configurable with the 
> PIB, just like every other >Diffserv packet handling action (Meter, Mark, 
> Drop).  Otherwise, one would >have to use SNMP to CONFIGURE this element 
> in order to later use SNMP to >retreive the counts.  >  >This Action is 
> not itself a counter that would go in an Accounting PIB,  >or  only in an 
> SNMP MIB.  >  >Yours,  Joel M. Halpern  >  >At 03:13 PM 4/4/01 +0000, 
> Iliff, Tina wrote:  >  > >Yacine,  >  >Like I said, it is just an 
> assumption or a guess.  Someone  > else will have  >to answer.  The 
> Accounting PIB may be a good place for > a >counter.  However, I have not 
> taken a look at that draft in a > while.  >  >Tina Iliff  >-----Original 
> Message-----  From:   Yacine El > 
> Mghazli  > 
 >  >[<<<mailto:[email-masked]>mailto:yacine.el_mghazli@ms. 
> alcatel.fr>mailto:[email-masked] > 
> lcatel.fr><mailto:[email-masked]>mailto:yacine.el_mghazli@ms. 
> alcate >l.fr]  Sent:   Wednesday, > April 04, 2001 10:07 
> AM  To:     Iliff, > Tina; >[email-masked]  Subject:        Re: 
> [Diffserv] > CountActTable  >  > > I am just guessing here but it makes 
> more sense to > me to only have a  > count  > action in the MIB and not 
> in the PIB.  I do > not consider > counting of  packets  > traversing 
> certain datapath > functional elements a > piece of policy;  however,  > 
> I do consider it as > part of a network nodes > management.  >  >Do you 
> mean that counting > packets is only managed using SNMP ?  >  > > Tina 
> Iliff  >  >  > > -----Original Message-----  > From: Yacine El  > 
> Mghazli  > > > 
> [<<<mailto:[email-masked]>mailto:[email-masked] 
> r>mailto:[email-masked] 
 >  > ><mailto:[email-masked]>mailto:yacine.el_mghazli@alcatel 
> .fr]  >   > Sent: Wednesday, April 04, > 2001 7:39 AM  > To: 
> [email-masked]  > > Subject: [Diffserv] > CountActTable  >  > In the 
> lattest DS PIB :  >  > > Quoted from the > draft-ietf-diffserv-pib-03.txt 
> (page 5) :  > > Action > > Tables  > >      A general extensible 
> framework and examples of  > > > parameterization  > >      tables for 
> Absolute Drop, Mark and Count > > actions.  >  > and page 11 :  > > 
> 4.5.1.  DSCP Mark Action PRC  > > > > (...)  > > 4.5.2.  Absolute Drop 
> Action  >  > So why is there no Count > > Action Table in the PIB ?  > 
> However there is an CountActTable in the > > MIB...I feel  > 
> confused.  >  > Thanx  >  > -- Yacine El Mghazli  >  > > > 
> ----------------------------------------------------------------------  > 
 >  >  >   Alcatel R&I  >   Software and Services Strategic Program - > > 
> VIPeR  >   Marcoussis, France  >   Tel  +33 1 69 63 41 87  >   Fax  +33 > 
> 1 > 69 63 11 69  >   [email-masked]  >  > > > 
> ----------------------------------------------------------------------  > 
 >  >  >  >  > _______________________________________________  > 
> diffserv > > mailing list  > [email-masked]  > > > 
> <<<http://www1.ietf.org/mailman/listinfo/diffserv>http://www1.ietf.org/mai 
> lman/listinfo/diffserv>http://www1.ietf.org/mail > 
> man/listinfo/diffserv><http://www1.ietf.org/mailm>http://www1.ietf.org/mai 
> lm > > an/listinfo/diffserv  > > Archive:  > > > 
> <<<http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maill 
> i>http://www2.ietf.org/mail-archive/working-groups/diffserv/current/mailli 
 >  > 
> s><http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maill 
> i>http://www2.ietf.org/mail-archive/working-groups/diffserv/current/mailli 
 >  > s > > 
> t.h><<http://www2.ietf.org/mail-archive/working-groups/diffserv/current/ma 
> i>http://www2.ietf.org/mail-archive/working-groups/diffserv/current/mai > 
> l><http://www2.ietf.org/mail-archive/working-groups/diffserv/current/mail> 
> http://www2.ietf.org/mail-archive/working-groups/diffserv/current/mail > 
 >  >  list.h  > 
> tml  >  >  >_______________________________________________  diffserv 
> mailing  >list 
> [email-masked] ><<http://www1.ietf.org/mailman/listinfo/diffserv>http:/ 
> /www1.ietf.org/mailman/listinfo/diffserv>http://www1.ietf.org/mailma >n/li 
> stinfo/diffserv 
> Archive: ><<http://www2.ietf.org/mail-archive/working-groups/diffserv/curr 
> ent/maillist>http://www2.ietf.org/mail-archive/working-groups/diffserv/cur 
> rent/maillist >.html><http://www2.ietf.org/mail-archive/working-groups/dif 
> fserv/current/mai>http://www2.ietf.org/mail-archive/working-groups/diffser 
> v/current/mai >llist.html
>
>_______________________________________________  diffserv mailing 
>list  [email-masked] 
><http://www1.ietf.org/mailman/listinfo/diffserv>http://www1.ietf.org/mailma 
>n/listinfo/diffserv  Archive: 
><http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist 
>.html>http://www2.ietf.org/mail-archive/working-groups/diffserv/current/mai 
>llist.html

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html